## org.mortbay.jetty
Interface HandlerContainer

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  AbstractHandlerContainer, Context, ContextHandler, ContextHandlerCollection, HandlerCollection, HandlerList, HandlerWrapper, HTAccessHandler, Jetty6PluginWebAppContext, JettyFactoryBean, MovedContextHandler, RequestLogHandler, RewriteHandler, SecurityHandler, Server, SessionHandler, StatisticsHandler, WebAppContext

    public interface HandlerContainer

extends LifeCycle

Method Summary
`void` `addHandler(Handler handler)`
`Handler` `getChildHandlerByClass(Class byclass)`
`Handler[]` `getChildHandlers()`
`Handler[]` `getChildHandlersByClass(Class byclass)`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Method Detail

### addHandler

    void addHandler(Handler handler)

### getChildHandlers

    Handler[] getChildHandlers()

### getChildHandlersByClass

    Handler[] getChildHandlersByClass(Class byclass)

### getChildHandlerByClass

    Handler getChildHandlerByClass(Class byclass)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.